/*------------------------------------------------------------------------------------------------------------------------------------*/
/*    Transducer Block: Level Transmitter							   */
/*-------------------------------------------------------------------------------------------------------------------------------------*/

VARIABLE trans1_primary_value_value
{
	LABEL		[trans1_primary_value_value];
	HELP		[trans_primary_value_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE trans1_primary_value_status
{
	LABEL		[trans1_primary_value_status];
	HELP		[trans_primary_value_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
/* bad */
		{	0,	[bad_0]			},	
		{	1,	[bad_1]			},
		{	2,	[bad_2]			},
		{	3,	[bad_3]			},
		{	4,	[bad_4]			},
		{	5,	[bad_5]			},
		{	6,	[bad_6]			},
		{	7,	[bad_7]			},
		{	8,	[bad_8]			},
		{	9,	[bad_9]			},
		{	10,	[bad_10]		},
		{	11,	[bad_11]		},
		{	12,	[bad_12]		},
		{	13,	[bad_13]		},
		{	14,	[bad_14]		},
		{	15,	[bad_15]		},
		{	16,	[bad_16]		},
		{	17,	[bad_17]		},
		{	18,	[bad_18]		},
		{	19,	[bad_19]		},
		{	20,	[bad_20]		},
		{	21,	[bad_21]		},
		{	22,	[bad_22]		},
		{	23,	[bad_23]		},
		{	24,	[bad_24]		},
		{	25,	[bad_25]		},
		{	26,	[bad_26]		},
		{	27,	[bad_27]		},
		{	28,	[bad_28]		},
		{	29,	[bad_29]		},
		{	30,	[bad_30]		},
		{	31,	[bad_31]		},
		{	32,	[bad_32]		},
		{	33,	[bad_33]		},
		{	34,	[bad_34]		},
		{	35,	[bad_35]		},
/* uncertain */
		{	64,	[uncertain_64]	},
		{	65,	[uncertain_65]	},
		{	66,	[uncertain_66]	},
		{	67,	[uncertain_67]	},
		{	68,	[uncertain_68]	},
		{	69,	[uncertain_69]	},
		{	70,	[uncertain_70]	},
		{	71,	[uncertain_71]	},
		{	72,	[uncertain_72]	},
		{	73,	[uncertain_73]	},
		{	74,	[uncertain_74]	},
		{	75,	[uncertain_75]	},
		{	76,	[uncertain_76]	},
		{	77,	[uncertain_77]	},
		{	78,	[uncertain_78]	},
		{	79,	[uncertain_79]	},
		{	80,	[uncertain_80]	},
		{	81,	[uncertain_81]	},
		{	82,	[uncertain_82]	},
		{	83,	[uncertain_83]	},
		{	84,	[uncertain_84]	},
		{	85,	[uncertain_85]	},
		{	86,	[uncertain_86]	},
		{	87,	[uncertain_87]	},
		{	88,	[uncertain_88]	},
		{	89,	[uncertain_89]	},
		{	90,	[uncertain_90]	},
		{	91,	[uncertain_91]	},
		{	92,	[uncertain_92]	},
		{	93,	[uncertain_93]	},
		{	94,	[uncertain_94]	},
		{	95,	[uncertain_95]	},
/* good */
		{	128,[good_128]		},
		{	129,[good_129]		},
		{	130,[good_130]		},
		{	131,[good_131]		},
		{	132,[good_132]		},
		{	133,[good_133]		},
		{	134,[good_134]		},
		{	135,[good_135]		},
		{	136,[good_136]		},
		{	137,[good_137]		},
		{	138,[good_138]		},
		{	139,[good_139]		},
		{	140,[good_140]		},
		{	141,[good_141]		},
		{	142,[good_142]		},
		{	143,[good_143]		},
		{	144,[good_144]		},
		{	145,[good_145]		},
		{	146,[good_146]		},
		{	147,[good_147]		},
		{	148,[good_148]		},
		{	149,[good_149]		},
		{	150,[good_150]		},
		{	151,[good_151]		},
		{	152,[good_152]		},
		{	153,[good_153]		},
		{	154,[good_154]		},
		{	155,[good_155]		},
		{	160,[good_160]		},
		{	161,[good_161]		},
		{	162,[good_162]		},
		{	163,[good_163]		}
	}
	HANDLING	READ;
}

VARIABLE trans1_primary_value_unit
{
   	LABEL         [trans_primary_value_unit];
   	HELP          [trans_primary_value_unit_help];
   	CLASS         CONTAINED;
   	TYPE		ENUMERATED (2)
	{
/* Length */    { 1010,  [meter],		[meter_help]		},
		{ 1018,  [ft],			[ft_help]		},
		{ 1019,  [in],			[in_help]		},
		{ 1012,  [cm],			[cm_help]		},
		{ 1013,  [mm],			[mm_help]		}
/* Miscellaneous */
		//{ 1342,  [Percent],			[Percent_help]		}
	}

   HANDLING      READ & WRITE;
}

VARIABLE trans1_level
{
	LABEL		[trans_lev_level];
	HELP		[trans_lev_level_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE trans1_level_unit
{
	LABEL	[trans_lev_level_unit];
	HELP	[trans_lev_level_unit_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1010;
/* Length */
		{ 1018,  [ft],			[ft_help]			},
		{ 1010,  [meter],			[meter_help]		},
		{ 1019,  [in],			[in_help]		},
		{ 1012,  [cm],			[cm_help]		},
		{ 1013,  [mm],			[mm_help]		},
/* Volume */													
		//{ 1048,  [gal],			[gal_help]		},
		//{ 1038,  [liter],			[liter_help]		},
		//{ 1049,  [ImpGal],			[ImpGal_help]		},
		//{ 1034,  [CuMtr],			[CuMtr_help]		},
		//{ 1051,  [bbl],			[bbl_help]		},
		//{ 1050, [bush],			[bush_help]		},
		//{ 1044, [CuYd],			[CuYd_help]		},
		//{ 1043, [CuFt],			[CuFt_help]		},
		//{ 1042, [CuIn],			[CuIn_help]		},
		//{ 1052, [bbl_liq],			[bbl_liq_help]		},
		//{ 1041, [hecto_liter],		[hecto_liter_help]		},
/* Miscellaneous */
		{ 1342,[Percent],			[Percent_help]		}
	}
	HANDLING	READ & WRITE;
}

VARIABLE trans1_sensor_value
{
   LABEL         [trans_lev_sensor_value];
   HELP          [trans_lev_sensor_value_help];
   CLASS         CONTAINED & DYNAMIC;
   TYPE          FLOAT;
   HANDLING      READ;
}

VARIABLE trans1_sensor_unit
{
   LABEL         [trans_sensor_unit];
   HELP          [trans_sensor_unit_help];
   CLASS         CONTAINED;
   	TYPE		ENUMERATED (2)
	{
		
		DEFAULT_VALUE   1010;
		{ 1010,  [meter],		[meter_help]		},
		{ 1018,  [ft],			[ft_help]		},
		{ 1019,  [in],			[in_help]		},
		{ 1012,  [cm],			[cm_help]		},
		{ 1013,  [mm],			[mm_help]		},
		//{ 1130,  [PA],			[PA_help]		},
		//{ 1138,  [mbar],			[mbar_help]		},
		//{ 1141,  [psi],			[psi_help]		}
	}
   HANDLING      READ & WRITE;
}

VARIABLE trans1_secondary_value_1_value
{
	LABEL		[trans_secondary_value_1_value];
	HELP		[trans_secondary_value_1_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE  trans1_secondary_value_1_status
{
	LABEL		[trans_secondary_value_1_status];
	HELP		[trans_secondary_value_1_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
/* bad */
		{	0,	[bad_0]			},	
		{	1,	[bad_1]			},
		{	2,	[bad_2]			},
		{	3,	[bad_3]			},
		{	4,	[bad_4]			},
		{	5,	[bad_5]			},
		{	6,	[bad_6]			},
		{	7,	[bad_7]			},
		{	8,	[bad_8]			},
		{	9,	[bad_9]			},
		{	10,	[bad_10]		},
		{	11,	[bad_11]		},
		{	12,	[bad_12]		},
		{	13,	[bad_13]		},
		{	14,	[bad_14]		},
		{	15,	[bad_15]		},
		{	16,	[bad_16]		},
		{	17,	[bad_17]		},
		{	18,	[bad_18]		},
		{	19,	[bad_19]		},
		{	20,	[bad_20]		},
		{	21,	[bad_21]		},
		{	22,	[bad_22]		},
		{	23,	[bad_23]		},
		{	24,	[bad_24]		},
		{	25,	[bad_25]		},
		{	26,	[bad_26]		},
		{	27,	[bad_27]		},
		{	28,	[bad_28]		},
		{	29,	[bad_29]		},
		{	30,	[bad_30]		},
		{	31,	[bad_31]		},
		{	32,	[bad_32]		},
		{	33,	[bad_33]		},
		{	34,	[bad_34]		},
		{	35,	[bad_35]		},
/* uncertain */
		{	64,	[uncertain_64]	},
		{	65,	[uncertain_65]	},
		{	66,	[uncertain_66]	},
		{	67,	[uncertain_67]	},
		{	68,	[uncertain_68]	},
		{	69,	[uncertain_69]	},
		{	70,	[uncertain_70]	},
		{	71,	[uncertain_71]	},
		{	72,	[uncertain_72]	},
		{	73,	[uncertain_73]	},
		{	74,	[uncertain_74]	},
		{	75,	[uncertain_75]	},
		{	76,	[uncertain_76]	},
		{	77,	[uncertain_77]	},
		{	78,	[uncertain_78]	},
		{	79,	[uncertain_79]	},
		{	80,	[uncertain_80]	},
		{	81,	[uncertain_81]	},
		{	82,	[uncertain_82]	},
		{	83,	[uncertain_83]	},
		{	84,	[uncertain_84]	},
		{	85,	[uncertain_85]	},
		{	86,	[uncertain_86]	},
		{	87,	[uncertain_87]	},
		{	88,	[uncertain_88]	},
		{	89,	[uncertain_89]	},
		{	90,	[uncertain_90]	},
		{	91,	[uncertain_91]	},
		{	92,	[uncertain_92]	},
		{	93,	[uncertain_93]	},
		{	94,	[uncertain_94]	},
		{	95,	[uncertain_95]	},
/* good */
		{	128,[good_128]		},
		{	129,[good_129]		},
		{	130,[good_130]		},
		{	131,[good_131]		},
		{	132,[good_132]		},
		{	133,[good_133]		},
		{	134,[good_134]		},
		{	135,[good_135]		},
		{	136,[good_136]		},
		{	137,[good_137]		},
		{	138,[good_138]		},
		{	139,[good_139]		},
		{	140,[good_140]		},
		{	141,[good_141]		},
		{	142,[good_142]		},
		{	143,[good_143]		},
		{	144,[good_144]		},
		{	145,[good_145]		},
		{	146,[good_146]		},
		{	147,[good_147]		},
		{	148,[good_148]		},
		{	149,[good_149]		},
		{	150,[good_150]		},
		{	151,[good_151]		},
		{	152,[good_152]		},
		{	153,[good_153]		},
		{	154,[good_154]		},
		{	155,[good_155]		},
		{	160,[good_160]		},
		{	161,[good_161]		},
		{	162,[good_162]		},
		{	163,[good_163]		}
	}
	HANDLING	READ;
}

VARIABLE trans1_secondary_value_1_unit
{
   LABEL         [trans_secondary_value_1_unit];
   HELP          [trans_secondary_value_1_unit_help];
   CLASS        CONTAINED ;
   	TYPE		ENUMERATED (2)
	{
#ifdef FUNC1_DEFAULT_UNIT
		DEFAULT_VALUE	FUNC1_DEFAULT_UNIT ;
#endif          
		{ 1010,  [meter],		[meter_help]		},
		{ 1018,  [ft],			[ft_help]		},
		{ 1019,  [in],			[in_help]		},
		{ 1012,  [cm],			[cm_help]		},
		{ 1013,  [mm],			[mm_help]		},
		{ 1342,[Percent],               [Percent_help]		}
	}

   HANDLING      READ & WRITE;
}


VARIABLE trans1_secondary_value_2_value
{
	LABEL		[trans_secondary_value_2_value];
	HELP		[trans_secondary_value_2_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE  trans1_secondary_value_2_status
{
	LABEL		[trans_secondary_value_2_status];
	HELP		[trans_secondary_value_2_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
/* bad */
		{	0,	[bad_0]			},	
		{	1,	[bad_1]			},
		{	2,	[bad_2]			},
		{	3,	[bad_3]			},
		{	4,	[bad_4]			},
		{	5,	[bad_5]			},
		{	6,	[bad_6]			},
		{	7,	[bad_7]			},
		{	8,	[bad_8]			},
		{	9,	[bad_9]			},
		{	10,	[bad_10]		},
		{	11,	[bad_11]		},
		{	12,	[bad_12]		},
		{	13,	[bad_13]		},
		{	14,	[bad_14]		},
		{	15,	[bad_15]		},
		{	16,	[bad_16]		},
		{	17,	[bad_17]		},
		{	18,	[bad_18]		},
		{	19,	[bad_19]		},
		{	20,	[bad_20]		},
		{	21,	[bad_21]		},
		{	22,	[bad_22]		},
		{	23,	[bad_23]		},
		{	24,	[bad_24]		},
		{	25,	[bad_25]		},
		{	26,	[bad_26]		},
		{	27,	[bad_27]		},
		{	28,	[bad_28]		},
		{	29,	[bad_29]		},
		{	30,	[bad_30]		},
		{	31,	[bad_31]		},
		{	32,	[bad_32]		},
		{	33,	[bad_33]		},
		{	34,	[bad_34]		},
		{	35,	[bad_35]		},
/* uncertain */
		{	64,	[uncertain_64]	},
		{	65,	[uncertain_65]	},
		{	66,	[uncertain_66]	},
		{	67,	[uncertain_67]	},
		{	68,	[uncertain_68]	},
		{	69,	[uncertain_69]	},
		{	70,	[uncertain_70]	},
		{	71,	[uncertain_71]	},
		{	72,	[uncertain_72]	},
		{	73,	[uncertain_73]	},
		{	74,	[uncertain_74]	},
		{	75,	[uncertain_75]	},
		{	76,	[uncertain_76]	},
		{	77,	[uncertain_77]	},
		{	78,	[uncertain_78]	},
		{	79,	[uncertain_79]	},
		{	80,	[uncertain_80]	},
		{	81,	[uncertain_81]	},
		{	82,	[uncertain_82]	},
		{	83,	[uncertain_83]	},
		{	84,	[uncertain_84]	},
		{	85,	[uncertain_85]	},
		{	86,	[uncertain_86]	},
		{	87,	[uncertain_87]	},
		{	88,	[uncertain_88]	},
		{	89,	[uncertain_89]	},
		{	90,	[uncertain_90]	},
		{	91,	[uncertain_91]	},
		{	92,	[uncertain_92]	},
		{	93,	[uncertain_93]	},
		{	94,	[uncertain_94]	},
		{	95,	[uncertain_95]	},
/* good */
		{	128,[good_128]		},
		{	129,[good_129]		},
		{	130,[good_130]		},
		{	131,[good_131]		},
		{	132,[good_132]		},
		{	133,[good_133]		},
		{	134,[good_134]		},
		{	135,[good_135]		},
		{	136,[good_136]		},
		{	137,[good_137]		},
		{	138,[good_138]		},
		{	139,[good_139]		},
		{	140,[good_140]		},
		{	141,[good_141]		},
		{	142,[good_142]		},
		{	143,[good_143]		},
		{	144,[good_144]		},
		{	145,[good_145]		},
		{	146,[good_146]		},
		{	147,[good_147]		},
		{	148,[good_148]		},
		{	149,[good_149]		},
		{	150,[good_150]		},
		{	151,[good_151]		},
		{	152,[good_152]		},
		{	153,[good_153]		},
		{	154,[good_154]		},
		{	155,[good_155]		},
		{	160,[good_160]		},
		{	161,[good_161]		},
		{	162,[good_162]		},
		{	163,[good_163]		}
	}
	HANDLING	READ;
}

VARIABLE trans1_secondary_value_2_unit
{
   LABEL         [trans_secondary_value_2_unit];
   HELP          [trans_secondary_value_2_unit_help];
   CLASS         CONTAINED;
   	TYPE		ENUMERATED (2)
	{
#ifdef FUNC1_DEFAULT_UNIT
		DEFAULT_VALUE	FUNC1_DEFAULT_UNIT ;
#endif
		{ 1010,  [meter],		[meter_help]		},
		{ 1018,  [ft],			[ft_help]		},
		{ 1019,  [in],			[in_help]		},
		{ 1012,  [cm],			[cm_help]		},
		{ 1013,  [mm],			[mm_help]		}
	}
   HANDLING      READ & WRITE;
}


VARIABLE trans1_sensor_offset
{
   LABEL         [trans_sensor_offset];
   HELP          [trans_sensor_offset_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
	
}

VARIABLE  trans1_caltype                          
{       
  LABEL       "Cal Type";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        UNSIGNED_INTEGER (1);
  HANDLING    READ & WRITE;
  
}

VARIABLE trans1_cal_point_lo
{
   LABEL         [trans_cal_point_lo];
   HELP          [trans_cal_point_lo_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
}

VARIABLE trans1_cal_point_hi
{
   LABEL         [trans_cal_point_hi];
   HELP          [trans_cal_point_hi_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
}

VARIABLE trans1_level_lo
{
   LABEL         [trans_level_lo];
   HELP          [trans_level_lo_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
}

VARIABLE trans1_level_hi
{
   LABEL         [trans_level_hi];
   HELP          [trans_level_hi_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
}

VARIABLE trans1_level_offset
{
   LABEL         [trans_lev_zero_offset];
   HELP          [trans_lev_zero_offset_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
}

VARIABLE trans1_lin_type
{
	LABEL		[trans_lin_type];	
	HELP		[trans_lin_type_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		{ 0,  [linear]      },
		{ 1, "Non linear"   }
	}
	HANDLING	READ & WRITE;
}

VARIABLE trans1_lin_diameter
{
   LABEL         [trans_lin_diameter];
   HELP          [trans_lin_diameter_help];
   CLASS         CONTAINED;
   TYPE          FLOAT
   {
     DEFAULT_VALUE    100;
   }
   HANDLING      READ & WRITE;
	CONSTANT_UNIT "mm";
}

VARIABLE trans1_lin_volume
{
   LABEL         [trans_lin_volume];
   HELP          [trans_lin_volume_help];
   CLASS         CONTAINED;
   TYPE          FLOAT
   {
     DEFAULT_VALUE    100;
   }
   HANDLING      READ & WRITE;
}

VARIABLE trans1_sensor_high_limit
{
   LABEL         [trans_sensor_upper_limit];
   HELP          [trans_sensor_upper_limit_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ;
}

VARIABLE trans1_sensor_low_limit
{
   LABEL         [trans_sensor_lower_limit];
   HELP          [trans_sensor_lower_limit_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ;
}

VARIABLE trans1_max_sensor_value
{
   LABEL         [trans_max_sensor_value];
   HELP          [trans_max_sensor_value_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
}

VARIABLE trans1_min_sensor_value
{
   LABEL         [trans_min_sensor_value];
   HELP          [trans_min_sensor_value_help];
   CLASS         CONTAINED;
   TYPE          FLOAT;
   HANDLING      READ & WRITE;
}


VARIABLE trans1_temperature
{
	LABEL		[trans_lev_temperature];	
	HELP		[trans_lev_temperature_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE trans1_temperature_unit
{
	LABEL		[trans_temperature_unit];
	HELP		[trans_temperature_unit_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1000;
/* Temperature */
		{ 1001,  [degC],		[degC_help]		},
		{ 1002,  [degF],		[degF_help]		},
		{ 1003,  [degR],		[degR_help]		},
		{ 1000,  [Kelvin],		[Kelvin_help]	}
	}
	HANDLING	READ & WRITE;
}

VARIABLE trans1_max_temperature
{
	LABEL		[trans_lev_max_temperature];	
	HELP		[trans_lev_max_temperature_help];
	CLASS		CONTAINED;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;
}

VARIABLE trans1_min_temperature
{
	LABEL		[trans_lev_min_temperature];	
	HELP		[trans_lev_min_temperature_help];
	CLASS		CONTAINED;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;
}



VARIABLE trans1_index
{
	LABEL		[lin_tab_entry];
	HELP		[lin_tab_entry_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ & WRITE;
}

VARIABLE trans1_x
{
	LABEL		"X Points";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;

}

VARIABLE trans1_y
{
	LABEL		"Y Points";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ & WRITE;

}


RECORD  trans1_tab_x_y_value
{
	LABEL		"X-Y TABLE ENTRY POINTS";
	HELP		[lin_tab_entry_help];
	MEMBERS
	{
		X,	trans1_x;
		Y,	trans1_y;
	}	
}


VARIABLE trans1_tab_min_number
{
	LABEL		[lin_tab_min_number];
	HELP		[lin_tab_min_number_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE trans1_tab_max_number
{
	LABEL		[lin_tab_max_number];
	HELP		[lin_tab_max_number_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}
VARIABLE trans1_tab_op_code
{
	LABEL		[lin_tab_op_code];
	HELP		[lin_tab_op_code_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ & WRITE;
}

VARIABLE trans1_tab_status
{
	LABEL		[lin_tab_status];
	HELP		[lin_tab_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		{	0,	[lin_tab_status_NOT_INIT]				},
		{	1,	[lin_tab_status_GOOD]					},
		{	2,	[lin_tab_status_NOT_INC]				},
		{	3,	[lin_tab_status_NOT_DEC]				},
		{	4,	[lin_tab_status_NOT_ENOUGH_VALUES]		},
		{	5,	[lin_tab_status_TOO_MANY_VALUES]		},
		{	6,	[lin_tab_status_GRADIENT]				}
	}
	HANDLING	READ;
}

VARIABLE trans1_tab_actual_number
{
	LABEL		[trans_tab_actual_number];
	HELP		[trans_tab_actual_number_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}



VARIABLE trans1_clarity
{
	LABEL		"CLARITY";
	HELP		"SONAR OUTPUT";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE  trans1_clarity_status
{
	LABEL		"CLARITY_STATUS";
	HELP		"SONAR OUTPUT";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
/* bad */
		{	0,	[bad_0]			},	
		{	1,	[bad_1]			},
		{	2,	[bad_2]			},
		{	3,	[bad_3]			},
		{	4,	[bad_4]			},
		{	5,	[bad_5]			},
		{	6,	[bad_6]			},
		{	7,	[bad_7]			},
		{	8,	[bad_8]			},
		{	9,	[bad_9]			},
		{	10,	[bad_10]		},
		{	11,	[bad_11]		},
		{	12,	[bad_12]		},
		{	13,	[bad_13]		},
		{	14,	[bad_14]		},
		{	15,	[bad_15]		},
		{	16,	[bad_16]		},
		{	17,	[bad_17]		},
		{	18,	[bad_18]		},
		{	19,	[bad_19]		},
		{	20,	[bad_20]		},
		{	21,	[bad_21]		},
		{	22,	[bad_22]		},
		{	23,	[bad_23]		},
		{	24,	[bad_24]		},
		{	25,	[bad_25]		},
		{	26,	[bad_26]		},
		{	27,	[bad_27]		},
		{	28,	[bad_28]		},
		{	29,	[bad_29]		},
		{	30,	[bad_30]		},
		{	31,	[bad_31]		},
		{	32,	[bad_32]		},
		{	33,	[bad_33]		},
		{	34,	[bad_34]		},
		{	35,	[bad_35]		},
/* uncertain */
		{	64,	[uncertain_64]	},
		{	65,	[uncertain_65]	},
		{	66,	[uncertain_66]	},
		{	67,	[uncertain_67]	},
		{	68,	[uncertain_68]	},
		{	69,	[uncertain_69]	},
		{	70,	[uncertain_70]	},
		{	71,	[uncertain_71]	},
		{	72,	[uncertain_72]	},
		{	73,	[uncertain_73]	},
		{	74,	[uncertain_74]	},
		{	75,	[uncertain_75]	},
		{	76,	[uncertain_76]	},
		{	77,	[uncertain_77]	},
		{	78,	[uncertain_78]	},
		{	79,	[uncertain_79]	},
		{	80,	[uncertain_80]	},
		{	81,	[uncertain_81]	},
		{	82,	[uncertain_82]	},
		{	83,	[uncertain_83]	},
		{	84,	[uncertain_84]	},
		{	85,	[uncertain_85]	},
		{	86,	[uncertain_86]	},
		{	87,	[uncertain_87]	},
		{	88,	[uncertain_88]	},
		{	89,	[uncertain_89]	},
		{	90,	[uncertain_90]	},
		{	91,	[uncertain_91]	},
		{	92,	[uncertain_92]	},
		{	93,	[uncertain_93]	},
		{	94,	[uncertain_94]	},
		{	95,	[uncertain_95]	},
/* good */
		{	128,[good_128]		},
		{	129,[good_129]		},
		{	130,[good_130]		},
		{	131,[good_131]		},
		{	132,[good_132]		},
		{	133,[good_133]		},
		{	134,[good_134]		},
		{	135,[good_135]		},
		{	136,[good_136]		},
		{	137,[good_137]		},
		{	138,[good_138]		},
		{	139,[good_139]		},
		{	140,[good_140]		},
		{	141,[good_141]		},
		{	142,[good_142]		},
		{	143,[good_143]		},
		{	144,[good_144]		},
		{	145,[good_145]		},
		{	146,[good_146]		},
		{	147,[good_147]		},
		{	148,[good_148]		},
		{	149,[good_149]		},
		{	150,[good_150]		},
		{	151,[good_151]		},
		{	152,[good_152]		},
		{	153,[good_153]		},
		{	154,[good_154]		},
		{	155,[good_155]		},
		{	160,[good_160]		},
		{	161,[good_161]		},
		{	162,[good_162]		},
		{	163,[good_163]		}
	}
	HANDLING	READ;
}


VARIABLE trans1_floc
{
	LABEL		"FLOC";
	HELP		"SONAR OUTPUT";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE  trans1_floc_status
{
	LABEL		"FLOC_STATUS";
	HELP		"SONAR OUTPUT";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
/* bad */
		{	0,	[bad_0]			},	
		{	1,	[bad_1]			},
		{	2,	[bad_2]			},
		{	3,	[bad_3]			},
		{	4,	[bad_4]			},
		{	5,	[bad_5]			},
		{	6,	[bad_6]			},
		{	7,	[bad_7]			},
		{	8,	[bad_8]			},
		{	9,	[bad_9]			},
		{	10,	[bad_10]		},
		{	11,	[bad_11]		},
		{	12,	[bad_12]		},
		{	13,	[bad_13]		},
		{	14,	[bad_14]		},
		{	15,	[bad_15]		},
		{	16,	[bad_16]		},
		{	17,	[bad_17]		},
		{	18,	[bad_18]		},
		{	19,	[bad_19]		},
		{	20,	[bad_20]		},
		{	21,	[bad_21]		},
		{	22,	[bad_22]		},
		{	23,	[bad_23]		},
		{	24,	[bad_24]		},
		{	25,	[bad_25]		},
		{	26,	[bad_26]		},
		{	27,	[bad_27]		},
		{	28,	[bad_28]		},
		{	29,	[bad_29]		},
		{	30,	[bad_30]		},
		{	31,	[bad_31]		},
		{	32,	[bad_32]		},
		{	33,	[bad_33]		},
		{	34,	[bad_34]		},
		{	35,	[bad_35]		},
/* uncertain */
		{	64,	[uncertain_64]	},
		{	65,	[uncertain_65]	},
		{	66,	[uncertain_66]	},
		{	67,	[uncertain_67]	},
		{	68,	[uncertain_68]	},
		{	69,	[uncertain_69]	},
		{	70,	[uncertain_70]	},
		{	71,	[uncertain_71]	},
		{	72,	[uncertain_72]	},
		{	73,	[uncertain_73]	},
		{	74,	[uncertain_74]	},
		{	75,	[uncertain_75]	},
		{	76,	[uncertain_76]	},
		{	77,	[uncertain_77]	},
		{	78,	[uncertain_78]	},
		{	79,	[uncertain_79]	},
		{	80,	[uncertain_80]	},
		{	81,	[uncertain_81]	},
		{	82,	[uncertain_82]	},
		{	83,	[uncertain_83]	},
		{	84,	[uncertain_84]	},
		{	85,	[uncertain_85]	},
		{	86,	[uncertain_86]	},
		{	87,	[uncertain_87]	},
		{	88,	[uncertain_88]	},
		{	89,	[uncertain_89]	},
		{	90,	[uncertain_90]	},
		{	91,	[uncertain_91]	},
		{	92,	[uncertain_92]	},
		{	93,	[uncertain_93]	},
		{	94,	[uncertain_94]	},
		{	95,	[uncertain_95]	},
/* good */
		{	128,[good_128]		},
		{	129,[good_129]		},
		{	130,[good_130]		},
		{	131,[good_131]		},
		{	132,[good_132]		},
		{	133,[good_133]		},
		{	134,[good_134]		},
		{	135,[good_135]		},
		{	136,[good_136]		},
		{	137,[good_137]		},
		{	138,[good_138]		},
		{	139,[good_139]		},
		{	140,[good_140]		},
		{	141,[good_141]		},
		{	142,[good_142]		},
		{	143,[good_143]		},
		{	144,[good_144]		},
		{	145,[good_145]		},
		{	146,[good_146]		},
		{	147,[good_147]		},
		{	148,[good_148]		},
		{	149,[good_149]		},
		{	150,[good_150]		},
		{	151,[good_151]		},
		{	152,[good_152]		},
		{	153,[good_153]		},
		{	154,[good_154]		},
		{	155,[good_155]		},
		{	160,[good_160]		},
		{	161,[good_161]		},
		{	162,[good_162]		},
		{	163,[good_163]		}
	}
	HANDLING	READ;
}

VARIABLE trans1_temperature_ds33
{
	LABEL		"Temperature";
	HELP		"Temperature output";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		FLOAT;
	HANDLING	READ;
}

VARIABLE  trans1_temperature_ds33_status
{
	LABEL		"Temperature Status";
	HELP		"Temperature output";
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
/* bad */
		{	0,	[bad_0]			},	
		{	1,	[bad_1]			},
		{	2,	[bad_2]			},
		{	3,	[bad_3]			},
		{	4,	[bad_4]			},
		{	5,	[bad_5]			},
		{	6,	[bad_6]			},
		{	7,	[bad_7]			},
		{	8,	[bad_8]			},
		{	9,	[bad_9]			},
		{	10,	[bad_10]		},
		{	11,	[bad_11]		},
		{	12,	[bad_12]		},
		{	13,	[bad_13]		},
		{	14,	[bad_14]		},
		{	15,	[bad_15]		},
		{	16,	[bad_16]		},
		{	17,	[bad_17]		},
		{	18,	[bad_18]		},
		{	19,	[bad_19]		},
		{	20,	[bad_20]		},
		{	21,	[bad_21]		},
		{	22,	[bad_22]		},
		{	23,	[bad_23]		},
		{	24,	[bad_24]		},
		{	25,	[bad_25]		},
		{	26,	[bad_26]		},
		{	27,	[bad_27]		},
		{	28,	[bad_28]		},
		{	29,	[bad_29]		},
		{	30,	[bad_30]		},
		{	31,	[bad_31]		},
		{	32,	[bad_32]		},
		{	33,	[bad_33]		},
		{	34,	[bad_34]		},
		{	35,	[bad_35]		},
/* uncertain */
		{	64,	[uncertain_64]	},
		{	65,	[uncertain_65]	},
		{	66,	[uncertain_66]	},
		{	67,	[uncertain_67]	},
		{	68,	[uncertain_68]	},
		{	69,	[uncertain_69]	},
		{	70,	[uncertain_70]	},
		{	71,	[uncertain_71]	},
		{	72,	[uncertain_72]	},
		{	73,	[uncertain_73]	},
		{	74,	[uncertain_74]	},
		{	75,	[uncertain_75]	},
		{	76,	[uncertain_76]	},
		{	77,	[uncertain_77]	},
		{	78,	[uncertain_78]	},
		{	79,	[uncertain_79]	},
		{	80,	[uncertain_80]	},
		{	81,	[uncertain_81]	},
		{	82,	[uncertain_82]	},
		{	83,	[uncertain_83]	},
		{	84,	[uncertain_84]	},
		{	85,	[uncertain_85]	},
		{	86,	[uncertain_86]	},
		{	87,	[uncertain_87]	},
		{	88,	[uncertain_88]	},
		{	89,	[uncertain_89]	},
		{	90,	[uncertain_90]	},
		{	91,	[uncertain_91]	},
		{	92,	[uncertain_92]	},
		{	93,	[uncertain_93]	},
		{	94,	[uncertain_94]	},
		{	95,	[uncertain_95]	},
/* good */
		{	128,[good_128]		},
		{	129,[good_129]		},
		{	130,[good_130]		},
		{	131,[good_131]		},
		{	132,[good_132]		},
		{	133,[good_133]		},
		{	134,[good_134]		},
		{	135,[good_135]		},
		{	136,[good_136]		},
		{	137,[good_137]		},
		{	138,[good_138]		},
		{	139,[good_139]		},
		{	140,[good_140]		},
		{	141,[good_141]		},
		{	142,[good_142]		},
		{	143,[good_143]		},
		{	144,[good_144]		},
		{	145,[good_145]		},
		{	146,[good_146]		},
		{	147,[good_147]		},
		{	148,[good_148]		},
		{	149,[good_149]		},
		{	150,[good_150]		},
		{	151,[good_151]		},
		{	152,[good_152]		},
		{	153,[good_153]		},
		{	154,[good_154]		},
		{	155,[good_155]		},
		{	160,[good_160]		},
		{	161,[good_161]		},
		{	162,[good_162]		},
		{	163,[good_163]		}
	}
	HANDLING	READ;
}
 
/*factory parameters*/


VARIABLE trans1_percent_unit
{
	LABEL	"PERCENT UNIT";
	HELP	[trans_lev_level_unit_help];
	CLASS		LOCAL;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	1342;
										
		//{ 1048,  [gal],			[gal_help]		},
		//{ 1038,  [liter],			[liter_help]		},
		//{ 1049,  [ImpGal],			[ImpGal_help]		},
		//{ 1034,  [CuMtr],			[CuMtr_help]		},
		//{ 1051,  [bbl],			[bbl_help]		},
		//{ 1050, [bush],			[bush_help]		},
		//{ 1044, [CuYd],			[CuYd_help]		},
		//{ 1043, [CuFt],			[CuFt_help]		},
		//{ 1042, [CuIn],			[CuIn_help]		},
		//{ 1052, [bbl_liq],			[bbl_liq_help]		},
		//{ 1041, [hecto_liter],		[hecto_liter_help]	},
/* Miscellaneous */
		{ 1342,[Percent],			[Percent_help]		}
	}
	HANDLING	READ;
}

VARIABLE  trans1_password                   
{       
  LABEL       "Lock Code";
  HELP        "";
  CLASS       LOCAL;
  TYPE        UNSIGNED_INTEGER (2);
  HANDLING    READ & WRITE;
  
}  

/* Tx Setup*/

                                      
VARIABLE  trans1_failsafe                            
{                                       
  LABEL       "failsafe";                  
  HELP        "";
  CLASS       CONTAINED;
  TYPE        UNSIGNED_INTEGER (2);
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}


VARIABLE  trans1_failtime                  
{       
  LABEL       "failtime";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        UNSIGNED_INTEGER (2);
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}


VARIABLE  trans1_app_type                  
{       
  LABEL       "App type";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        UNSIGNED_INTEGER (2);
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}


VARIABLE  trans1_fill_rate                 
{       
  LABEL       "Fill Rate";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}



VARIABLE  trans1_empty_rate                
{       
  LABEL       "Empty Rate";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}


VARIABLE  trans1_filldamp                  
{       
  LABEL       "Filldamp";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        UNSIGNED_INTEGER (2);
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}


VARIABLE trans1_emtydamp                   

{       
  LABEL       " EMTYDAMP ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        UNSIGNED_INTEGER (2);
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}


VARIABLE trans1_gain                       
{       
  LABEL       " GAIN ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}



VARIABLE trans1_gain_step3                 
{       
  LABEL       " GAIN_STEP3 ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}

VARIABLE trans1_distance_step3             
{       
  LABEL       " DISTANCE_STEP3 ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}

VARIABLE trans1_threshold                  
{       
  LABEL       " THRESHOLD ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}

VARIABLE trans1_blanking                   
{       
  LABEL       " BLANKING ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}

VARIABLE trans1_empty                      
{       
  LABEL       " EMPTY ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}

VARIABLE trans1_tempdiv                    
{       
  LABEL       " TEMPDIV ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        UNSIGNED_INTEGER (2);
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}
 
VARIABLE trans1_txdist_offset              
{       
  LABEL       " TXDIST_OFFSET ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}
 
VARIABLE trans1_comp_factor                
{       
  LABEL       " COMP_FACTOR ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}

VARIABLE trans1_map_dist                   
{       
  LABEL       " MAP_DIST ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}

VARIABLE trans1_map_used                    
{       
  LABEL       " MAP_USED ";
  HELP        "";
  CLASS       CONTAINED;
  TYPE        FLOAT;
  HANDLING    READ & WRITE;
  VALIDITY    IF (trans1_password == 196)
               {TRUE;}
              ELSE
               {FALSE;} 
/*  RESPONSE_CODES  xxx; */
}


                                   
/* Amp info parameters*/ 
                                                   
  VARIABLE amp_serial_no                             
  {                                                
    LABEL       "OEM ID";                          
    HELP        "SerialNo Includes OEM code";      
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
                                    
                                                   
  VARIABLE amp_serial_no_lo                      
  {                                                
    LABEL       "SerialNo";                        
    HELP        "SerialNo of the device";          
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE amp_type                                  
  {                                                
    LABEL       "Type";                            
    HELP        "Type of the device";              
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE amp_softwaerver                           
  {                                               
    LABEL       "Softwaer Version";                
    HELP        "Softwaer Version of the device";  
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE amp_mb_address                            
  {                                                
    LABEL       "Modbus Address";                  
    HELP        "Modbus Address of the device";    
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE amp_model                                 
  {                                                
    LABEL       "Model No";                        
    HELP        "Model number of the device";      
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2) ;              
    HANDLING    READ;                              
  }                                                


  /* Tx info parameters*/ 
  
  
  VARIABLE tx_serial_no                             
  {                                                
    LABEL       "OEM ID";                          
    HELP        "SerialNo Includes OEM code";      
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
                                           
                                                   
  VARIABLE tx_serial_no_lo                      
  {                                                
    LABEL       "SerialNo";                        
    HELP        "SerialNo of the device";          
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE tx_type                                  
  {                                                
    LABEL       "Type";                            
    HELP        "Type of the device";              
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE tx_softwaerver                           
  {                                               
    LABEL       "Softwaer Version";                
    HELP        "Softwaer Version of the device";  
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE tx_mb_address                            
  {                                                
    LABEL       "Modbus Address";                  
    HELP        "Modbus Address of the device";    
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  }                                                
                                                   
  VARIABLE tx_model                                 
  {                                                
    LABEL       "Model No";                        
    HELP        "Model number of the device";      
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2) ;              
    HANDLING    READ;                              
  }                       
                                                   
     
 /* Echo */ 

VARIABLE trans1_echostart

  {                                                
    LABEL       "ECHO START";                        
    HELP        " start of echo signal ";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT ;
            
    HANDLING    READ;                              
  } 
     
VARIABLE trans1_echopeak 
  {                                                
    LABEL       "ECHO PEAK";                        
    HELP        "Peak Position of Recieved echo signal";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT ;              
    HANDLING    READ;                              
  }    
VARIABLE trans1_echosize 
  {                                                
    LABEL       "ECHO SIZE";                        
    HELP        "Peak size";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT ;              
    HANDLING    READ;                              
  }    
VARIABLE trans1_gain_diag     
  {                                                
    LABEL       "GAIN";                        
    HELP        " gain of recived signal ";      
    CLASS       CONTAINED ;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  }    
VARIABLE trans1_echoend  
  {                                                
    LABEL       "ECHO END";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT ;              
    HANDLING    READ;                              
  }    


RECORD trans1_echo              /* 110 REC*/	         
  {                                                
    LABEL       "ECHO PARAMETERS";                        
    HELP        "";             
    MEMBERS                                        
    {                                              
      ECHOSTART1,          trans1_echostart;  /* f */           
      ECHOPEAK1,           trans1_echopeak;   /* f */ 
      ECHOSIZE1,           trans1_echosize;   /* f */             
      GAIN1,               trans1_gain_diag;  /* f */      
      ECHOEND1,            trans1_echoend; 	 /* f */
      
      ECHOSTART2,          trans1_echostart;	 /* f */
      ECHOPEAK2,           trans1_echopeak; 	 /* f */
      ECHOSIZE2,           trans1_echosize; 	 /* f */
      GAIN2,               trans1_gain_diag;  /* f */   
      ECHOEND2,            trans1_echoend;  	 /* f */
      
      ECHOSTART3,          trans1_echostart;	 /* f */
      ECHOPEAK3,           trans1_echopeak; 	 /* f */
      ECHOSIZE3,           trans1_echosize; 	 /* f */
      GAIN3,               trans1_gain_diag;  /* f */
      ECHOEND3,            trans1_echoend;  	 /* f */
      
      ECHOSTART4,          trans1_echostart;	 /* f */
      ECHOPEAK4,           trans1_echopeak; 	 /* f */
      ECHOSIZE4,           trans1_echosize; 	 /* f */
      GAIN4,               trans1_gain_diag;  /* f */
      ECHOEND4,            trans1_echoend;    /* f */         
                              
    }                                              
      /*  RESPONSE_CODES  xxx;*/                      
  }          
  
  
  /* Diagnostics */  
  
VARIABLE trans1_currentdist
  {                                                
    LABEL       " CURRENT DIST ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_sensordata
  {                                                
    LABEL       " SENSOR DATA ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_newdist
  {                                                
    LABEL       " NEW DIST ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_confirmdistamp
  {                                                
    LABEL       " CONFIRM DIST ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_echosize1amp
  {                                                
    LABEL       " ECHO SIZE ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_gainamp
  {                                                
    LABEL       " GAIN ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_gainlimitamp
  {                                                
    LABEL       " GAIN LIMIT ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_gainrecoveramp
  {                                                
    LABEL       " GAIN RECOVER ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_noiseamp
  {                                                
    LABEL       " NOISE ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_tempkelvinamp
  {                                                
    LABEL       " TEMP KELVIN ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_echos_mapsamp
  {                                                
    LABEL       " ECHOS MAPS ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_confcounteramp
  {                                                
    LABEL       " CONFIRM COUNTER ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  } 

VARIABLE trans1_holdcounteramp
  {                                                
    LABEL       " HOLD COUNTER ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  } 

VARIABLE trans1_statusflagamp
  {                                                
    LABEL       " STATUS FLAG ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        UNSIGNED_INTEGER (2);              
    HANDLING    READ;                              
  } 

VARIABLE trans1_winrecfwdamp
  {                                                
    LABEL       " WIN REC FWD ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 

VARIABLE trans1_winrecbackamp 
  {                                                
    LABEL       " WIN REC BACK ";                        
    HELP        "";      
    CLASS       CONTAINED;                         
    TYPE        FLOAT;              
    HANDLING    READ;                              
  } 







/*--------------------------------------------Read commands------------------------------*/

COMMAND read_trans1_primary_value
{
	BLOCK transducer_block_1;
	INDEX 8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_primary_value_value, trans1_primary_value_status		
		}
	}
}

COMMAND  read_trans1_primary_value_unit
{
     BLOCK transducer_block_1;
     INDEX 9;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_primary_value_unit
          }
     }
}
 
COMMAND read_trans1_level
{
	BLOCK transducer_block_1;
	INDEX 10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_level
		}
	}
}

COMMAND read_trans1_level_unit
{
	BLOCK transducer_block_1;
	INDEX 11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_level_unit
		}
	}
}

COMMAND  read_trans1_sensor_value
{
     BLOCK transducer_block_1;
     INDEX 12;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_sensor_value
          }
     }
}

COMMAND  read_trans1_sensor_unit
{
     BLOCK transducer_block_1;
     INDEX 13;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_sensor_unit
          }
     }
}
 
COMMAND read_trans1_secondary_value_1
{
	BLOCK transducer_block_1;
	INDEX 14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_secondary_value_1_value, trans1_secondary_value_1_status		
		}
	}
}

COMMAND  read_trans1_secondary_value_1_unit
{
     BLOCK transducer_block_1;
     INDEX 15;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_secondary_value_1_unit
          }
     }
}
 

COMMAND read_trans1_secondary_value_2
{
	BLOCK transducer_block_1;
	INDEX 16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_secondary_value_2_value, trans1_secondary_value_2_status		
		}
	}
}

COMMAND  read_trans1_secondary_value_2_unit
{
     BLOCK transducer_block_1;
     INDEX 17;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_secondary_value_2_unit
          }
     }
}
 

COMMAND  read_trans1_sensor_offset
{
     BLOCK transducer_block_1;
     INDEX 18;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_sensor_offset
          }
     }
}

COMMAND   read_trans1_caltype
{
     BLOCK transducer_block_1;																													 		              
     INDEX 19;																																					             
     OPERATION READ;																															
     TRANSACTION																																	     	
     {																																						     	
          REQUEST																																		      				 												
          {    																											 												
          }	
          REPLY
          {
		  trans1_caltype
          }																																			      				 												
     }																																						      				 													
}	


COMMAND  read_trans1_cal_point_lo
{
     BLOCK transducer_block_1;
     INDEX 20;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_cal_point_lo
          }
     }
}
 

COMMAND  read_trans1_cal_point_hi
{
     BLOCK transducer_block_1;
     INDEX 21;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_cal_point_hi
          }
     }
}
 

COMMAND  read_trans1_level_lo
{
     BLOCK transducer_block_1;
     INDEX 22;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_level_lo
          }
     }
}
 

COMMAND  read_trans1_level_hi
{
     BLOCK transducer_block_1;
     INDEX 23;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_level_hi
          }
     }
}
 

COMMAND  read_trans1_level_offset
{
     BLOCK transducer_block_1;
     INDEX 24;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_level_offset
          }
     }
}
 


COMMAND read_trans1_lin_type
{
	BLOCK transducer_block_1;
	INDEX 25;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_lin_type
		}
	}
}



COMMAND  read_trans1_lin_diameter
{
     BLOCK transducer_block_1;
     INDEX 26;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_lin_diameter
          }
     }
}
 

COMMAND  read_trans1_lin_volume
{
     BLOCK transducer_block_1;
     INDEX 27;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_lin_volume
          }
     }
}
 

COMMAND  read_trans1_sensor_high_limit
{
     BLOCK transducer_block_1;
     INDEX 28;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_sensor_high_limit
          }
     }
}


COMMAND  read_trans1_sensor_low_limit
{
     BLOCK transducer_block_1;
     INDEX 29;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_sensor_low_limit
          }
     }
}


COMMAND  read_trans1_max_sensor_value
{
     BLOCK transducer_block_1;
     INDEX 30;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_max_sensor_value
          }
     }
}
 

COMMAND read_trans1_temperature
{
	BLOCK transducer_block_1;
	INDEX 32;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_temperature
		}
	}
}


COMMAND read_trans1_temperature_unit
{
	BLOCK transducer_block_1;
	INDEX 33;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_temperature_unit
		}
	}
}


COMMAND read_trans1_max_temperature
{
	BLOCK transducer_block_1;
	INDEX 34;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_max_temperature
		}
	}
}


COMMAND read_trans1_min_temperature
{
	BLOCK transducer_block_1;
	INDEX 35;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_min_temperature
		}
	}
}


COMMAND read_trans1_index
{
	BLOCK transducer_block_1;
	INDEX 36;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_index
		}
	}
}


COMMAND   read_trans1_tab_x_y_value    
{
     BLOCK transducer_block_1;
     INDEX 37;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_tab_x_y_value.X,trans1_tab_x_y_value.Y
          }
     }
}


COMMAND read_trans1_tab_min_number
{
	BLOCK transducer_block_1;
	INDEX 38;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_tab_min_number
		}
	}
}

COMMAND read_trans1_tab_max_number
{
	BLOCK transducer_block_1;
	INDEX 39;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_tab_max_number
		}
	}
}

COMMAND read_trans1_tab_op_code
{
	BLOCK transducer_block_1;
	INDEX 40;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_tab_op_code
		}
	}
}


COMMAND read_trans1_tab_status
{
	BLOCK transducer_block_1;
	INDEX 41;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_tab_status
		}
	}
}

COMMAND read_trans1_tab_actual_number
{
	BLOCK transducer_block_1;
	INDEX 42;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			trans1_tab_actual_number
		}
	}
}


/*************************************************************************************************************/

COMMAND   read_trans1_reserved1        
{
     BLOCK transducer_block_1;
     INDEX 107;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_clarity,trans1_clarity_status
          }
     }
}


COMMAND   read_trans1_reserved2        
{
     BLOCK transducer_block_1;
     INDEX 108;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_floc,trans1_floc_status
          }
     }
}

COMMAND   read_trans1_reserved3        
{
     BLOCK transducer_block_1;
     INDEX 109;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_temperature_ds33,trans1_temperature_ds33_status
          }
     }
}

/* TX setup read commands*/

																																																					 						
COMMAND   read_trans1_failsafe         																																		 						
{																																																					 						
     BLOCK transducer_block_1;																																						 						
     INDEX 55;																																														 						
     OPERATION READ;																																											 						
     TRANSACTION																																													 						
     {																																																		 						
          REQUEST																																													 						
          {																																																 						
          }																																																 						
          REPLY																																														 						
          {																																																 						
               trans1_failsafe																																						 						
          }																																																 						
     }																																																		   					
}																																																					   					
																																																					   					
																																																					   					
COMMAND   read_trans1_failtime         																																		   					
{																																																					   					
     BLOCK transducer_block_1;																																						   					
     INDEX 56;																																														   					
     OPERATION READ;																																											   					
     TRANSACTION																																													  						
     {																																																		  						
          REQUEST																																													  						
          {																																																  						
          }																																																  						
          REPLY																																														   					
          {																																																   					
               trans1_failtime																																						 						
          }																																																 
     }																																																		 
}																																																					 
																																																					 
																																																					 
COMMAND   read_trans1_app_type         
{																																																						 
     BLOCK transducer_block_1;																																							 
     INDEX 57;																																															 
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_app_type
          }
     }
}


COMMAND   read_trans1_fill_rate        
{
     BLOCK transducer_block_1;
     INDEX 58;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_fill_rate
          }
     }
}


COMMAND   read_trans1_empty_rate       
{
     BLOCK transducer_block_1;
     INDEX 59;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_empty_rate
          }
     }
}


COMMAND   read_trans1_filldamp         
{
     BLOCK transducer_block_1;
     INDEX 60;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_filldamp
          }
     }
}


COMMAND   read_trans1_emtydamp         
{
     BLOCK transducer_block_1;
     INDEX 61;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_emtydamp
          }
     }
}


COMMAND   read_trans1_gain             
{
     BLOCK transducer_block_1;
     INDEX 87;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_gain
          }
     }
}


COMMAND   read_trans1_gain_step3       
{
     BLOCK transducer_block_1;
     INDEX 88;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_gain_step3
          }
     }
}


COMMAND   read_trans1_distance_step3   
{
     BLOCK transducer_block_1;
     INDEX 89;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_distance_step3
          }
     }
}


COMMAND   read_trans1_threshold        
{
     BLOCK transducer_block_1;
     INDEX 90;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_threshold
          }
     }
}


COMMAND   read_trans1_blanking         
{
     BLOCK transducer_block_1;
     INDEX 91;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_blanking
          }
     }
}


COMMAND   read_trans1_empty            
{
     BLOCK transducer_block_1;
     INDEX 92;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_empty
          }
     }
}


COMMAND   read_trans1_tempdiv          
{
     BLOCK transducer_block_1;
     INDEX 93;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_tempdiv
          }
     }
}


COMMAND   read_trans1_txdist_offset    
{
     BLOCK transducer_block_1;
     INDEX 94;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_txdist_offset
          }
     }
}


COMMAND   read_trans1_comp_factor      
{
     BLOCK transducer_block_1;
     INDEX 95;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_comp_factor
          }
     }
}


COMMAND   read_trans1_map_dist         
{
     BLOCK transducer_block_1;
     INDEX 96;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_map_dist
          }
     }
}


COMMAND   read_trans1_map_used         
{
     BLOCK transducer_block_1;
     INDEX 97;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
               trans1_map_used
          }
     }
}



/* Level Profile write commands*/

COMMAND  write_trans1_primary_value_unit
{
     BLOCK transducer_block_1;
     INDEX 9;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_primary_value_unit
          }
          REPLY
          {
          }
     }
}

COMMAND write_trans1_level_unit
{
	BLOCK transducer_block_1;
	INDEX 11;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_level_unit
		}
		REPLY
		{
		}
	}
}
 
COMMAND  write_trans1_sensor_unit
{
     BLOCK transducer_block_1;
     INDEX 13;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_sensor_unit
          }
          REPLY
          {
          }
     }
}

COMMAND  write_trans1_secondary_value_1_unit
{
     BLOCK transducer_block_1;
     INDEX 15;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_secondary_value_1_unit
          }
          REPLY
          {
          }
     }
}


COMMAND  write_trans1_secondary_value_2_unit
{
     BLOCK transducer_block_1;
     INDEX 17;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_secondary_value_2_unit
          }
          REPLY
          {
          }
     }
}

COMMAND  write_trans1_sensor_offset
{
     BLOCK transducer_block_1;
     INDEX 18;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_sensor_offset
          }
          REPLY
          {
          }
     }
}

COMMAND   write_trans1_caltype
{
     BLOCK transducer_block_1;																													 		              
     INDEX 19;																																					             
     OPERATION WRITE;																															
     TRANSACTION																																	     	
     {																																						     	
          REQUEST																																		      				 												
          {																																				      				 												
               trans1_caltype																																		 												
          }	
          REPLY
          {
          }																																			      				 												
     }																																						      				 													
}																																									      				                         
          																																				      				                         
COMMAND   write_trans1_cal_point_lo     																						      					                         
{																																									      					     											
     BLOCK transducer_block_1;																										      					     											
     INDEX 20;																																		      				           
     OPERATION WRITE;																															      				           
     TRANSACTION																																	      				           
     {																																						      				           
          REQUEST																																		       				           
          {																																				       				           
               trans1_cal_point_lo																															           
          }
          REPLY
          {
          }																																											 					
     }																																													 					
}																																																 					
																																																 					
COMMAND   write_trans1_cal_point_hi     																													 					
{																																																 					
     BLOCK transducer_block_1;																																	 					
     INDEX 21;																																									 								
     OPERATION WRITE;																																			       					    
     TRANSACTION																																					   		 							
     {																																										   		 							
          REQUEST																																		 															
          {																																				 															
               trans1_cal_point_hi																								 															
          }
          REPLY
          {
          }																																				 															
     }																																						 															
}																																									 															
																																									 															
COMMAND   write_trans1_level_lo         																						 															
{																																									 															
     BLOCK transducer_block_1;																										 															
     INDEX 22;																																		 															
     OPERATION WRITE;																															 															
     TRANSACTION																																	 															
     {																																						 															
          REQUEST																																		 															
          {																																				 															
               trans1_level_lo																								 																	
          }	
          REPLY
          {
          }																																			 															
     }																																						 															
}																																									 															
																																									 															
COMMAND   write_trans1_level_hi         																						 															
{																																									 															
     BLOCK transducer_block_1;																										 															
     INDEX 23;																																		 															
     OPERATION WRITE;																															 															
     TRANSACTION																																	 															
     {																																						 															
          REQUEST																																		 															
          {																																				 															
               trans1_level_hi																								 																	
          }
          REPLY
          {
          }																																				 															
     }																																						 															
}																																									 															
																																									 															
COMMAND   write_trans1_level_offset     																						 															
{																																									 															
     BLOCK transducer_block_1;																										 															
     INDEX 24;																																		 															
     OPERATION WRITE;																																														
     TRANSACTION																																																
     {																																																					
          REQUEST																																										 							
          {																																												 							
               trans1_level_offset																																								
          }
          REPLY
          {
          }																																												
     }
}																																																	
																																																	
COMMAND   write_trans1_lin_type         																														
{
     BLOCK transducer_block_1;
     INDEX 25;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_lin_type
          }
          REPLY
          {
          }
     }
}

COMMAND   write_trans1_lin_diameter     
{
     BLOCK transducer_block_1;
     INDEX 26;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_lin_diameter
          }
          REPLY
          {
          }
     }
}

COMMAND   write_trans1_lin_volume       
{
     BLOCK transducer_block_1;
     INDEX 27;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_lin_volume
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_max_sensor_value 
{
     BLOCK transducer_block_1;
     INDEX 30;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_max_sensor_value
          }
          REPLY
          {
          }
     }
}

COMMAND   write_trans1_min_sensor_value 
{
     BLOCK transducer_block_1;
     INDEX 31;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_min_sensor_value
          }
          REPLY
          {
          }
     }
}

 
COMMAND   write_trans1_temperature_unit  
{
     BLOCK transducer_block_1;
     INDEX 33;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_temperature_unit
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_max_temperature   
{
     BLOCK transducer_block_1;
     INDEX 34;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_max_temperature
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_min_temprature   
{
     BLOCK transducer_block_1;
     INDEX 35;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_min_temperature
          }
          REPLY
          {
          }
     }
}

COMMAND write_trans1_index
{
	BLOCK transducer_block_1;
	INDEX 36;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			trans1_index
		}
		REPLY
		{
		}
	}
}

COMMAND   write_trans1_tab_x_y_value    
{
     BLOCK transducer_block_1;
     INDEX 37;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_tab_x_y_value.X,trans1_tab_x_y_value.Y
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_tab_op_code      
{
     BLOCK transducer_block_1;
     INDEX 40;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_tab_op_code
          }
          REPLY
          {
          }
     }
}

/* Factory parameters write commands*/

COMMAND   write_trans1_reserved1        
{
     BLOCK transducer_block_1;
     INDEX 107;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_clarity,trans1_clarity_status
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_reserved2        
{
     BLOCK transducer_block_1;
     INDEX 108;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_floc,trans1_floc_status
          }
          REPLY
          {
          }
     }
}

/* TX setup*/
																																																					 						
COMMAND   write_trans1_failsafe         																																		 						
{																																																					 						
     BLOCK transducer_block_1;																																						 						
     INDEX 55;																																														 						
     OPERATION WRITE;																																											 						
     TRANSACTION																																													 						
     {																																																		 						
          REQUEST																																														 						
          {																																																 						
               trans1_failsafe																																						 						
          }
          REPLY
          {
          }																																																 						
     }																																																		   					
}																																																					   					
																																																					   					
																																																					   					
COMMAND   write_trans1_failtime         																																		   					
{																																																					   					
     BLOCK transducer_block_1;																																						   					
     INDEX 56;																																														   					
     OPERATION WRITE;																																											   					
     TRANSACTION																																													  						
     {																																																		  						
          REQUEST																																														   					
          {																																																   					
               trans1_failtime																																						 						
          }
          REPLY
          {
          }																																																 
     }																																																		 
}																																																					 
																																																					 
																																																					 
COMMAND   write_trans1_app_type         
{																																																						 
     BLOCK transducer_block_1;																																							 
     INDEX 57;																																															 
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_app_type
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_fill_rate        
{
     BLOCK transducer_block_1;
     INDEX 58;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_fill_rate
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_empty_rate       
{
     BLOCK transducer_block_1;
     INDEX 59;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_empty_rate
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_filldamp         
{
     BLOCK transducer_block_1;
     INDEX 60;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_filldamp
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_emtydamp         
{
     BLOCK transducer_block_1;
     INDEX 61;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_emtydamp
          }
          REPLY
          {
          }
     }
}

COMMAND   write_trans1_gain             
{
     BLOCK transducer_block_1;
     INDEX 87;
     OPERATION WRITE;
     TRANSACTION
     {
         
          REQUEST
          {
               trans1_gain
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_gain_step3       
{
     BLOCK transducer_block_1;
     INDEX 88;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_gain_step3
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_distance_step3   
{
     BLOCK transducer_block_1;
     INDEX 89;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_distance_step3
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_threshold        
{
     BLOCK transducer_block_1;
     INDEX 90;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_threshold
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_blanking         
{
     BLOCK transducer_block_1;
     INDEX 91;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_blanking
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_empty            
{
     BLOCK transducer_block_1;
     INDEX 92;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_empty
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_tempdiv          
{
     BLOCK transducer_block_1;
     INDEX 93;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_tempdiv
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_txdist_offset    
{
     BLOCK transducer_block_1;
     INDEX 94;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_txdist_offset
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_comp_factor      
{
     BLOCK transducer_block_1;
     INDEX 95;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_comp_factor
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_map_dist         
{
     BLOCK transducer_block_1;
     INDEX 96;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_map_dist
          }
          REPLY
          {
          }
     }
}


COMMAND   write_trans1_map_used         
{
     BLOCK transducer_block_1;
     INDEX 97;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
               trans1_map_used
          }
          REPLY
          {
          }
     }
}


